OpenSSL compilation in Windows

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

OpenSSL compilation in Windows

Umamaheswari Nagarajan

Hi,

 

We have a windows application which uses OpenSSL libraries(current version 1.0.2j). We will ship the libraries along with our application.

 

Currently we are trying to upgrade to OpenSSL 1.1.1c version.

 

We have been using the vc6 compiler for our application. But OpenSSL 1.1.1c is not compiling with vc6. However, with higher compiler version say (VC 9.0) we are able to compile it.

 

Our question - can we use the OpenSSL libraries compiled with higher version and keep using the vc6 compiler for our application.

 

 

 

 

Thanks and Regards,

Uma